RIProfileUpdater (accounting-node 1.4.0-SNAPSHOT API)
Date: 2013-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.accounting.node.probes
Class RIProfileUpdater

    java.lang.Object
      org.gcube.common.core.utils.handlers.GCUBEHandler<org.gcube.common.core.contexts.GCUBEServiceContext>
          org.gcube.common.accounting.node.probes.RIProfileUpdater

All Implemented Interfaces:
  org.gcube.common.core.utils.handlers.GCUBEIHandler<org.gcube.common.core.contexts.GCUBEServiceContext>

    public class RIProfileUpdater

extends org.gcube.common.core.utils.handlers.GCUBEHandler<org.gcube.common.core.contexts.GCUBEServiceContext>

Author:
  Andrea Manzi(CERN)

Field Summary

Fields inherited from class org.gcube.common.core.utils.handlers.GCUBEHandler
`handled, logger, producer`

Constructor Summary
`RIProfileUpdater(HashMap<String,RIAccountingData> data)`

Method Summary
`void` | `run()`

Methods inherited from class org.gcube.common.core.utils.handlers.GCUBEHandler
`clearBlackboard, getBlackboard, getHandled, getId, getLogger, getName, getScopeManager, getSecurityManager, getState, notify, setBlackboard, setHandled, setLogger, setName, setScopeManager, setSecurityManager, setState, subscribe, undo, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RIProfileUpdater

    public RIProfileUpdater(HashMap<String,RIAccountingData> data)
                     throws Exception

Throws:
  `Exception`

Method Detail

### run

    public void run()
             throws Exception

  Specified by:
    `run` in interface `org.gcube.common.core.utils.handlers.GCUBEIHandler<org.gcube.common.core.contexts.GCUBEServiceContext>`
  Specified by:
    `run` in class `org.gcube.common.core.utils.handlers.GCUBEHandler<org.gcube.common.core.contexts.GCUBEServiceContext>`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.